Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034286
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-10-24 18:102016-12-16 18:38
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision7ce25dd045fc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034286: Products from storage bins that do not belong to document's org on hand warehouses can be included in goods shipment lines

DescriptionProducts from storage bins that do not belong to document's org on hand warehouses can be included in goods shipment lines
Steps To ReproduceAs group admin role:
  Create a product for F&B España, S.A. and set it as Stocked
  Remove España Region Norte warehouse for F&B España, S.A. in Organization - Warehouse tab (on hand warehouses)
  Log out and log in
  Create a goods receipt for F&B España S.A. organization and Región Norte warehouse
  Add the previously created product and complete it
  Create a goods shipment for F&B España S.A. organization and Región Sur warehouse (check you cannot select España Región Norte)
   Check you cannot select any storage bin for España Region Norte warehouse
   Open the product selector, clean the filters and select the stock available in the España Region Norte warehouse for the previously created product
   Check the Storage Bin is updated to a value that could not be selected
   Check you could also complete the document
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0011075 newTriage Finance Warehouse/storage bin: selecting warehouse at the header, doesn't restrict storage bins in the lines 

-  Notes
(0090827)
ngarcia (developer)
2016-10-24 18:13

Currently, due to the related design defect, the storage bins of goods shipment lines are filtered by the ones that belong to the organization's on hand warehouses and the storage bins of goods receipt lines are filtered by the ones that belong to the warehouses defined on the natural tree of the document's organization.

The problem reported in this ticket is that you could select a wrong storage bin in goods shipment from the product selector
(0091467)
nonofrancisco (developer)
2016-11-14 15:39
edited on: 2016-11-14 17:48

Test Plan

As group admin role:
  Create a product for F&B España, S.A. and set it as Stocked
  Remove España Region Norte warehouse for F&B España, S.A. in Organization - Warehouse tab (on hand warehouses)
  Log out and log in
  Create a goods receipt for F&B España S.A. organization and Región Norte warehouse
  Add the previously created product and complete it
  Create a goods shipment for F&B España S.A. organization and Región Sur warehouse (check you cannot select España Región Norte)
   Check you cannot select any storage bin for España Region Norte warehouse
   Open the product selector and verify it only shows products in storage bin belonging the warehouse selected in header (Región Sur warehouse)

(0091591)
hgbot (developer)
2016-11-16 09:16

Repository: erp/devel/pi
Changeset: 7ce25dd045fc17121e9c36f7e7788836e7876652
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Nov 15 11:27:10 2016 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/7ce25dd045fc17121e9c36f7e7788836e7876652 [^]

Fixes issue 34286: Product selector allows wrong storage bin in shipment window

The Product Complete selector, when used in goods shipment window, allowed select
products in storage bin not belonging to the on-hand warehouses.

A new column was added to the M_PRODUCT_STOCK_V view to retrieve the warehouse
and the filter expresion of Product Complete selector was modified to include
the filter by on-hand warehouses, when used in goods shipment window.

---
M src-db/database/model/views/M_PRODUCT_STOCK_V.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0091592)
hgbot (developer)
2016-11-16 09:16

Repository: erp/devel/pi
Changeset: f050573e9a3776281f314e5a9fda8eac70cfbd52
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Nov 15 18:53:31 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f050573e9a3776281f314e5a9fda8eac70cfbd52 [^]

Related to issue 34286: Code review improvements

Product selector in Goods Shipment window should also display products with no stock.

---
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0091593)
aferraz (developer)
2016-11-16 09:18

Code review + Testing OK
(0092634)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092635)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-24 18:10 ngarcia New Issue
2016-10-24 18:10 ngarcia Assigned To => Triage Finance
2016-10-24 18:10 ngarcia Modules => Core
2016-10-24 18:10 ngarcia Triggers an Emergency Pack => No
2016-10-24 18:10 ngarcia Issue Monitored: networkb
2016-10-24 18:11 ngarcia Relationship added related to 0011075
2016-10-24 18:13 ngarcia Note Added: 0090827
2016-10-25 18:29 aferraz Assigned To Triage Finance => markmm82
2016-11-08 18:25 nonofrancisco Assigned To markmm82 => nonofrancisco
2016-11-09 16:06 nonofrancisco Status new => scheduled
2016-11-14 15:39 nonofrancisco Note Added: 0091467
2016-11-14 17:48 aferraz Steps to Reproduce Updated View Revisions
2016-11-14 17:48 aferraz Note Edited: 0091467 View Revisions
2016-11-16 09:16 hgbot Checkin
2016-11-16 09:16 hgbot Note Added: 0091591
2016-11-16 09:16 hgbot Status scheduled => resolved
2016-11-16 09:16 hgbot Resolution open => fixed
2016-11-16 09:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ce25dd045fc17121e9c36f7e7788836e7876652 [^]
2016-11-16 09:16 hgbot Checkin
2016-11-16 09:16 hgbot Note Added: 0091592
2016-11-16 09:18 aferraz Review Assigned To => aferraz
2016-11-16 09:18 aferraz Note Added: 0091593
2016-11-16 09:18 aferraz Status resolved => closed
2016-11-16 09:18 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092634
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092635


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker